Bug 974341 - Review Request: nodejs-ctype - Read and write binary structures and data types with Node.js
Review Request: nodejs-ctype - Read and write binary structures and data type...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 968919 974350
  Show dependency treegraph
 
Reported: 2013-06-13 23:28 EDT by T.C. Hollingsworth
Modified: 2013-07-08 16:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-ctype-0.5.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-23 17:26:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jamielinux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-06-13 23:28:01 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-ctype.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-ctype-0.5.3-1.fc19.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5501440
FAS:  patches
Description:
Node-CType is a way to read and write binary data in a structured and easy to 
use format. Its name comes from the C header file.

There are two APIs that you can use, depending on what abstraction you'd like.
The low level API lets you read and write individual integers and floats from
buffers. The higher level API let's you read and write structures of these.
Comment 1 Jamie Nguyen 2013-06-20 18:30:14 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

> The higher level API let's you read

"let's" should be "lets".



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-ctype-0.5.3-1.fc20.noarch.rpm
nodejs-ctype.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ctype.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-ctype
nodejs-ctype.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-ctype.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-ctype (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-ctype:
    nodejs-ctype
    npm(ctype)



Source checksums
----------------
http://registry.npmjs.org/ctype/-/ctype-0.5.3.tgz :
  CHECKSUM(SHA256) this package     : bb58300f21d91728d2f9f8680d70bb9e8806a357fab945eb4be8ead1fbfb47fe
  CHECKSUM(SHA256) upstream package : bb58300f21d91728d2f9f8680d70bb9e8806a357fab945eb4be8ead1fbfb47fe
https://github.com/rmustacc/node-ctype/archive/3aae5f7aa45906cfcb283817cfb6fcb15360391d/nodejs-ctype-0.5.3-3aae5f7.tar.gz :
  CHECKSUM(SHA256) this package     : 83930094ec8f0759bf481c7846727d6fe42bcc671cffd402b1a5cd2a92ea8d79
  CHECKSUM(SHA256) upstream package : 83930094ec8f0759bf481c7846727d6fe42bcc671cffd402b1a5cd2a92ea8d79


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-ctype-0.5.3-1.fc19.src.rpm
Comment 2 Jamie Nguyen 2013-06-20 18:48:39 EDT
Assuming you fix that one issue, package approved!
Comment 3 T.C. Hollingsworth 2013-06-20 20:25:12 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-ctype.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-ctype-0.5.3-1.fc19.src.rpm

* Fri Jun 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.5.3-2
- fix spelling in description
Comment 4 T.C. Hollingsworth 2013-06-20 20:26:55 EDT
New Package SCM Request
=======================
Package Name: nodejs-ctype
Short Description: Read and write binary structures and data types with Node.js
Owners: patches jamielinux
Branches: f19 f18 el6
InitialCC:
Comment 5 Jon Ciesla 2013-06-21 08:04:13 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-22 05:00:44 EDT
nodejs-ctype-0.5.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-ctype-0.5.3-2.fc19
Comment 7 Fedora Update System 2013-06-22 05:01:23 EDT
nodejs-ctype-0.5.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-ctype-0.5.3-2.fc18
Comment 8 Fedora Update System 2013-06-22 05:02:11 EDT
nodejs-ctype-0.5.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-ctype-0.5.3-2.el6
Comment 9 Fedora Update System 2013-06-22 14:15:39 EDT
nodejs-ctype-0.5.3-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-07-01 20:24:27 EDT
nodejs-ctype-0.5.3-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-07-01 20:28:56 EDT
nodejs-ctype-0.5.3-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-07-08 16:09:35 EDT
nodejs-ctype-0.5.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.